Bug 839301 - Package Rename Review Request: python-django-evolution - Schema evolution for Django
Package Rename Review Request: python-django-evolution - Schema evolution for...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 736776
  Show dependency treegraph
 
Reported: 2012-07-11 09:50 EDT by Stephen Gallagher
Modified: 2013-03-13 07:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 06:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2012-07-11 09:50:12 EDT
Spec URL: http://sgallagh.fedorapeople.org/packagereview/python-django-evolution/python-django-evolution.spec

SRPM URL: http://sgallagh.fedorapeople.org/packagereview/python-django-evolution/python-django-evolution-0.6.7-2.fc18.src.rpm

Description: 
When you run ./manage.py syncdb, Django will look for any new models that
have been defined, and add a database table to represent those new models.
However, if you make a change to an existing model, ./manage.py syncdb will
not make any changes to the database.

This is where Django Evolution fits in. Django Evolution is an extension to
Django that allows you to track changes in your models over time, and to
update the database to reflect those changes.

Fedora Account System Username: sgallagh
Comment 1 Stephen Gallagher 2012-07-11 09:51:06 EDT
Scratch-built in rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4233568
Comment 2 Bohuslav "Slavek" Kabrda 2012-07-12 06:35:39 EDT
I'll take this for a review.
Comment 3 Bohuslav "Slavek" Kabrda 2012-07-12 06:45:39 EDT
- According to [1], the obsoletes shouldn't use macros, but rather hardcode the version from where you renamed the package. E.g. you should have "Obsoletes: django-evolution < 0.6.7-2".
- "%defattr(-,root,root,-)" is not needed in the %files section, unless you want to build for EPEL 5 (which presumably you don't). Same applies for the BuildRoot tag, %clean section and "rm -rf $RPM_BUILD_ROOT".
- You should delete the bundled egg-info directory in the %prep section (rm -rf django_evolution.egg-info), so that it gets regenerated during %build.

These are not serious issues, so once you fix them, I will approve the package.

[1] http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
Comment 4 Stephen Gallagher 2012-07-13 10:02:35 EDT
New version with corrections:

Spec URL: http://sgallagh.fedorapeople.org/packagereview/python-django-evolution/python-django-evolution.spec

SRPM URL: http://sgallagh.fedorapeople.org/packagereview/python-django-evolution/python-django-evolution-0.6.7-3.fc18.src.rpm


Note, this does not scratch-build in Rawhide at the moment due to a bad openssl build currently in the BuildRoot.
Comment 5 Bohuslav "Slavek" Kabrda 2012-07-16 02:25:21 EDT
One more fix: You correctly hardcoded the obsoleted version, but the version you Provide should use the macros. E.g, you should have:

Provides:       django-evolution = %{name}-%{release}
Obsoletes:      django-evolution < 0.6.7-3

I don't have any more comments. Please fix this one before importing and don't forget to properly deprecate django-evolution from rawhide.
Thanks!

This package is APPROVED.
Comment 6 Stephen Gallagher 2012-07-16 08:16:19 EDT
New Package SCM Request
=======================
Package Name: python-django-evolution
Short Description: Schema evolution for Django
Owners: sgallagh
Branches: 
InitialCC: sgallagh
Comment 7 Gwyn Ciesla 2012-07-16 11:06:54 EDT
Git done (by process-git-requests).
Comment 8 Stephen Gallagher 2013-03-13 07:43:02 EDT
Package Change Request
======================
Package Name: python-django-evolution
New Branches: el6
Owners: sgallagh, diegobz
InitialCC: 

Migrating from django-evolution to python-django-evolution on EL6 to make maintenance simpler.
Comment 9 Gwyn Ciesla 2013-03-13 07:45:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.